summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 14:50:23 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2024-03-08 14:50:23 +0100
commitc9e93cc11b380ea448327c8fd2ffb7f0f9adb5fe (patch)
tree3284b062e4d2ebb86646ba0043ebdb5ad46d6891
parentd8a8a9cc7047fbb6f92f4b1fdfa5fa8ed4d90ac4 (diff)
HST-S: handle alloc/load/free overhead as parameters; vary them for fgbs24a
-rw-r--r--HST-S/host/app.c10
-rwxr-xr-xHST-S/run-fgbs24a.sh9
2 files changed, 13 insertions, 6 deletions
diff --git a/HST-S/host/app.c b/HST-S/host/app.c
index dc9ddce..20ad07c 100644
--- a/HST-S/host/app.c
+++ b/HST-S/host/app.c
@@ -101,8 +101,6 @@ int main(int argc, char **argv) {
DPU_ASSERT(dpu_probe_init("energy_probe", &probe));
#endif
- printf("WITH_ALLOC_OVERHEAD=%d WITH_LOAD_OVERHEAD=%d WITH_FREE_OVERHEAD=%d\n", WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
-
// Timer declaration
Timer timer;
@@ -297,8 +295,10 @@ int main(int argc, char **argv) {
#endif
if (rep >= p.n_warmup) {
- printf("[::] HST-S UPMEM | n_dpus=%d n_ranks=%d n_tasklets=%d e_type=%s n_elements=%d n_bins=%d ",
+ printf("[::] HST-S UPMEM | n_dpus=%d n_ranks=%d n_tasklets=%d e_type=%s n_elements=%d n_bins=%d",
nr_of_dpus, nr_of_ranks, NR_TASKLETS, XSTR(T), input_size, p.bins);
+ printf(" b_with_alloc_overhead=%d b_with_load_overhead=%d b_with_free_overhead=%d ",
+ WITH_ALLOC_OVERHEAD, WITH_LOAD_OVERHEAD, WITH_FREE_OVERHEAD);
printf("| latency_alloc_us=%f latency_load_us=%f latency_cpu_us=%f latency_write_us=%f latency_kernel_us=%f latency_read_us=%f latency_free_us=%f",
timer.time[0],
timer.time[1],
@@ -372,7 +372,9 @@ int main(int argc, char **argv) {
free(A);
free(histo_host);
free(histo);
- DPU_ASSERT(dpu_free(dpu_set));
+#if !WITH_ALLOC_OVERHEAD
+ DPU_ASSERT(dpu_free(dpu_set));
+#endif
return status ? 0 : -1;
}
diff --git a/HST-S/run-fgbs24a.sh b/HST-S/run-fgbs24a.sh
index 36a6ad2..f699f9f 100755
--- a/HST-S/run-fgbs24a.sh
+++ b/HST-S/run-fgbs24a.sh
@@ -4,19 +4,24 @@ set -e
mkdir -p $(hostname)
+ts=$(date +%Y%m%d)
+
(
echo "prim-benchmarks HST-S (dfatool fgbs24a edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for nr_dpus in 2543 2304 2048; do
+for nr_dpus in 2304 2048 2543; do
for nr_tasklets in 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -b 256 -x 2 || true
fi
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10 WITH_ALLOC_OVERHEAD=1 WITH_LOAD_OVERHEAD=1 WITH_FREE_OVERHEAD=1; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -b 256 -x 2 || true
+ fi
done
done
echo "Completed at $(date)"
-) | tee "$(hostname)/fgbs24a.txt"
+) | tee "$(hostname)/${ts}-fgbs24a.txt"